Bug Hunting Session
Bug 121247 - KDE5: Impress crashes at starting Slide show (presentation with animation and audio)
Summary: KDE5: Impress crashes at starting Slide show (presentation with animation and...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All Linux (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-11-07 14:22 UTC by Vera Blagoveschenskaya
Modified: 2018-12-21 13:09 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
test presentation (6.39 MB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2018-11-07 14:23 UTC, Vera Blagoveschenskaya
Details
gdbtrace.log (107.42 KB, text/x-log)
2018-11-08 07:02 UTC, Vera Blagoveschenskaya
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vera Blagoveschenskaya 2018-11-07 14:22:33 UTC
Description:
Impress crashes at starting Slide show (presentation with animation and audio)

Steps to Reproduce:
I've downloaded presentation .pptx for children to check audio in Impress (find it in the attachment).

1. Open presentation 
2. Start Slide show

Actual Results:
Application crashes

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Reproduced for

Version: 6.2.0.0.alpha1+
Build ID: bc42b6bfa49cc2b58201a8f6177dd3b1a0c038d8
CPU threads: 4; OS: Linux 4.14; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-06_19:01:37
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded
 
DO NOT reproduced for

Version: 6.2.0.0.alpha1+
Build ID: bc42b6bfa49cc2b58201a8f6177dd3b1a0c038d8
CPU threads: 4; OS: Linux 4.14; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-06_19:01:37
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded

DO NOT reproduced for
Version: 6.1.2.1
Build ID: 65905a128db06ba48db947242809d14d3f9a93fe
CPU threads: 4; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: ru-RU (ru_RU.UTF-8); Calc: group threaded

----

I've seen bug 120776 and bug 120451
But I use the latest master build from here:
https://dev-builds.libreoffice.org/daily/master/Linux-rpm_deb-x86_64@86-TDF/current/

My test stand: notebook Lenovo Thinkpad t440s

gdb backtrace log will be a bit later
Comment 1 Vera Blagoveschenskaya 2018-11-07 14:23:19 UTC
Created attachment 146401 [details]
test presentation
Comment 2 Vera Blagoveschenskaya 2018-11-07 14:26:17 UTC
(In reply to Vera Blagoveschenskaya from comment #0)

> Additional Info:
> Reproduced for
> 
> Version: 6.2.0.0.alpha1+
> Build ID: bc42b6bfa49cc2b58201a8f6177dd3b1a0c038d8
> CPU threads: 4; OS: Linux 4.14; UI render: default; VCL: gtk3; 
> TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
> 2018-11-06_19:01:37
> Locale: ru-RU (ru_RU.UTF-8); Calc: threaded
>  

Version: 6.2.0.0.alpha1+
Build ID: bc42b6bfa49cc2b58201a8f6177dd3b1a0c038d8
CPU threads: 4; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-06_19:01:37
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded
Comment 3 Xisco Faulí 2018-11-07 14:34:49 UTC
I can reproduce it in

Version: 6.2.0.0.alpha1+
Build ID: bc42b6bfa49cc2b58201a8f6177dd3b1a0c038d8
CPU threads: 1; OS: Linux 4.15; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-11-06_19:01:37
Locale: en-US (en_US.UTF-8); Calc: threaded

but not in

Version: 6.2.0.0.alpha1+
Build ID: bc42b6bfa49cc2b58201a8f6177dd3b1a0c038d8
CPU threads: 1; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-11-06_19:01:37
Locale: en-US (en_US.UTF-8); Calc: threaded
Comment 4 Vera Blagoveschenskaya 2018-11-08 07:02:27 UTC
Created attachment 146422 [details]
gdbtrace.log

(In reply to Vera Blagoveschenskaya from comment #0)
> gdb backtrace log will be a bit later

Here it is
Comment 5 Vera Blagoveschenskaya 2018-11-08 09:55:54 UTC
Possible reason:
Please take a look to https://bugs.documentfoundation.org/show_bug.cgi?id=121266

I think the test document from this bug can help to verify bug 121266
Comment 6 Xisco Faulí 2018-11-19 12:25:01 UTC
Still reproduced in

Version: 6.2.0.0.beta1
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 1; OS: Linux 4.15; UI render: default; VCL: kde5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

it crashes even if the animations are removed...
Comment 7 Katarina Behrens (CIB) 2018-12-18 14:45:22 UTC
I'm going to show this presentation to my child, it is soo cute and sweet :o)
(I could only see it thanks to Aleksei's bugfix)
Comment 8 Vera Blagoveschenskaya 2018-12-18 15:19:03 UTC
(In reply to Katarina Behrens (CIB) from comment #7)
> I'm going to show this presentation to my child, it is soo cute and sweet :o)
> (I could only see it thanks to Aleksei's bug

Hello:)

do you mean fix of this bug https://bugs.documentfoundation.org/show_bug.cgi?id=121266 ?

No comment about fix yet..
Comment 9 Katarina Behrens (CIB) 2018-12-18 17:17:59 UTC
> Hello:)
> 
> do you mean fix of this bug
> https://bugs.documentfoundation.org/show_bug.cgi?id=121266 ?

Yes that, but it resolves this bug as well
Comment 10 Commit Notification 2018-12-19 06:20:57 UTC
Aleksei Nikiforov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/56b19f9a814ae5a39ed760ee542d715493cd0bf3%5E%21

tdf#121247, tdf#121266 KDE5: Add basic support for OpenGL

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2018-12-19 07:43:10 UTC
Aleksei Nikiforov committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/d51452fc4f15f956dde32cb2cc3e118473f4f23a%5E%21

tdf#121247, tdf#121266 KDE5: Add basic support for OpenGL

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Michael Weghorn 2018-12-19 17:16:21 UTC
Fix verified with

Version: 6.3.0.0.alpha0+
Build ID: b5e86ee88e38ea8e2e454adf3ab3007195c6d6bf
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 13 Xisco Faulí 2018-12-21 13:09:30 UTC
Verified in

Version: 6.2.0.1
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 1; OS: Linux 4.15; UI render: default; VCL: kde5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded